﻿using System;
using System.Xml;

namespace CSLauncher.Configuration.Xml
{
    internal class UnknownNodeException : Exception
    {
        private readonly XmlNode node;

        public UnknownNodeException(XmlNode node)
        {
            this.node = node;
        }

        public override string Message
        {
            get { return string.Format("Unknown node type {0}", node.Name); }
        }
    }

    internal class InvalidConfigurationException : Exception
    {
        private readonly string message;
        public string FileName { get; private set; }
        

        public InvalidConfigurationException(string fileName, string message)
        {
            this.message = message;
            FileName = fileName;
        }

        public override string Message
        {
            get { return message; }
        }
    }
}
